# SpigotSerializable

interface SpigotSerializable<T>
Content copied to clipboard

## Functions

toSpigot
Link copied to clipboard
abstract fun toSpigot(): T
Content copied to clipboard
Converts this serializable object into the corresponding spigot object.

## Inheritors

SerializableLocation
Link copied to clipboard
SerializableVector
Link copied to clipboard
SerializableWorld
Link copied to clipboard

## Extensions

serialize
Link copied to clipboard
fun SpigotSerializable<*>.serialize(pretty: Boolean = true): String
Content copied to clipboard